body {
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-image: url('../public/sky.jpg');
  background-size: cover;
  background-position: center;
}
.Login-form {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  height: 45vh;
  width: 400px;
  margin: 0 auto;
  background-color: rgba(255, 255, 255, 0.95);
  border-radius: 15px;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.Login-form form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin-top: 15px;
}

.Login-window {
  font-size: 16px;
  border-radius: 8px;
  padding: 12px;
  background-color: rgb(240, 240, 240);
  border: 1px solid rgb(200, 200, 200);
  margin-bottom: 15px;
  transition: border-color 0.3s, background-color 0.3s;
}

.Login-window::placeholder {
  font-size: 14px;
  color: rgba(0, 0, 0, 0.5);
}

#Login-button {
  background-color: #3498db;
  color: white;
  width: 100%;
  padding: 12px;
  border-radius: 10px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.2s;
  margin-top: 50px;
}

#Login-button:disabled {
  background-color: #bdc3c7;
  cursor: not-allowed;
}

#Login-button:hover:enabled {
  background-color: #2980b9;
}

.error-message {
  font-size: 14px;
  color: #e74c3c;
  margin-top: 10px;
}


.Dashboard {
  display: flex;
  flex-direction: column;
  height: 900px;
  width: 1800px;
  margin: auto;
  background-color: rgba(255, 255, 255, 0.9);
  border-radius: 20px;
  padding: 10px;
}

.Dashboard-header {
  margin: 0 auto;
  padding: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #3498db;
  color: white;
  border-bottom: 2px solid #2980b9;
}

.weather-entries {
  display: flex;
  gap: 20px;
  padding: 10px;
}

.weather-entry {
  flex: 1;
  padding: 20px;
  margin: 0;
  background-color: rgba(255, 255, 255, 0.9);
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  text-align: center;
}

.weather-icon {
  font-size: 3em;
  color: #2ecc71;
}

.weather-temperature {
  font-size: 2em;
  font-weight: bold;
  margin-top: 10px;
}

.weather-date {
  font-size: 1.5em;
  margin-top: 5px;
}

.weather-extra p {
  font-size: 1.2em;
  color: #7f8c8d;
}
